%define	name	gv
%define	version	3.5.8
%define	release	31mdk

Summary:	An enhanced front-end for the ghostscript PostScript(TM) interpreter.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
BuildRequires:	xpm-devel XFree86-devel Xaw3d-devel
Requires:	ghostscript-module-X
Source0:	ftp://thep.physik.uni-mainz.de/pub/gv/unix/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		gv-3.5.8-config.patch.bz2
Patch1:		gv-3.5.8-alias.patch.bz2
Patch2:		gv-3.5.8-xf4.patch.bz2
Patch3:		gv-3.5.8-antialias.patch.bz2
Patch5:		gv-quote.patch.bz2
Patch6:		gv-gvuncompress.patch.bz2
Patch7:		gv-3.5.8-enablenoplatfonts.patch.bz2
Url:		http://wwwthep.physik.uni-mainz.de/~plass/gv/
Obsoletes:	ghostview
Provides:	ghostview
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gv provides a user interface for the ghostscript PostScript(TM)
interpreter.  Derived from the ghostview program, gv can display
PostScript and PDF documents using the X Window System.  

Install the gv package if you'd like to view PostScript and PDF documents
on your system.  You'll also need to have the ghostscript package
installed, as well as the X Window System.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .alias
%patch2 -p0 -b .xf4
%patch3 -p0 -b .antialias
%patch5 -p1 -b .quote 
%patch6 -p1
%patch7 -p1 -b .noplatfonts
#(peroyvind) gcc-3.3 fix
cd source;./inc_2lit;cd -
gunzip doc/*gz

%build
xmkmf
make Makefiles
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std install.man
ln -sf gv $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/ghostview
install -m 0755 source/gvuncompress $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/gvuncompress

bzip2 -dc %{SOURCE1} | tar xvf -
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/gv.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/gv.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/gv.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="gv" \
		  icon="gv.png" \
		  needs="x11" \
		  section="Applications/Publishing" \
		  title="GhostView" \
		  longtitle="GhostView, PostScript and PDF viewer"
EOF

#(peroyvind) remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README CHANGES COPYING doc/*.html doc/*doc doc/*txt
%{_prefix}/X11R6/bin/gv
%{_prefix}/X11R6/bin/gvuncompress
%{_prefix}/X11R6/lib/X11/gv
#{_prefix}/X11R6/lib/X11/app-defaults/GV
%config(noreplace) %{_sysconfdir}/X11/app-defaults/GV
%{_prefix}/X11R6/man/man1/gv.*
%{_prefix}/X11R6/bin/ghostview
%{_menudir}/gv
%{_miconsdir}/gv.png
%{_iconsdir}/gv.png
%{_liconsdir}/gv.png

%changelog
* Tue Jan 27 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.5.8-31mdk
- fix unpackaged files
- cosmetics
- don't bzip2 icons in src.rpm
- gunzip docs during %%prep to make package --short-circuitable

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.5.8-30mdk
- fix gcc-3.3 build
- clean up a little

* Fri Mar 07 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.8-29mdk
- Enabled -dNOPLATFONTS in Patch7, and removed Patch4.

* Tue Feb  4 2003 Till Kamppeter <tkamppeter@mandrakesoft.com> 3.5.8-28mdk
- Rebuilt for new glibc.

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5.8-27mdk
- Rebuild with latest gcc3.1

* Fri Feb 22 2002 Till Kamppeter <tkamppeter@mandrakesoft.com> 3.5.8-26mdk
- Edited anti-aliasing patch to use the method as used in "kghostviev", it
  gives a better output quality for PostScript level 1 documents.

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.8-25mdk
- xpm -> png icons
- fix sources permissions

* Thu Jan 31 2002 Franois Pons <fpons@mandrakesoft.com> 3.5.8-24mdk
- created patch to allow reading bzip2 file.

* Wed Sep 05 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 3.5.8-23mdk
- added quote patch (now it's possible to print well)

* Wed Sep 05 2001 Franois Pons <fpons@mandrakesoft.com> 3.5.8-22mdk
- update provide tag.

* Wed Aug 22 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 3.5.8-21mdk
- Applied Antialias patch. 
  Option: -dNOPLATFONTS caused problem in gs6.51
  (patch3, patch4)

* Tue Jul 03 2001 Stefan van der Eijk <stefan@eijk.nu> 3.5.8-20mdk
- BuildRequires:	xpm-devel

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 3.5.8-19mdk
- build release, updated distribution tag.

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-18mdk
- updated menu title and long title.

* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-17mdk
- added missing icons.

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-16mdk
- macroszifications.
- removed /etc/X11/wmconfig/gv.

* Wed Aug 09 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-15mdk
- build release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.5.8-14mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-13mdk
- fixed requires to ghostscript-module-X.
- build release.

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.5.8-12mdk
- Imake bugfix for XFree86-4.0

* Tue Apr 11 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-11mdk
- added menu entry and icon.

* Fri Apr 07 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-10mdk
- Updated Group.

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.

